rte_swx_learner_stats(3)

NAME
rte_swx_learner_stats

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

uint64_t n_pkts_hit
uint64_t n_pkts_miss
uint64_t n_pkts_learn_ok
uint64_t n_pkts_learn_err
uint64_t n_pkts_rearm
uint64_t n_pkts_forget
uint64_t * n_pkts_action

Detailed Description

Learner table statistics.

Definition at line 675 of file rte_swx_ctl.h.

Field Documentation

  uint64_t n_pkts_hit
Number of packets with lookup hit.

Definition at line 677 of file rte_swx_ctl.h.

  uint64_t n_pkts_miss
Number of packets with lookup miss.

Definition at line 680 of file rte_swx_ctl.h.

  uint64_t n_pkts_learn_ok
Number of packets with successful learning.

Definition at line 683 of file rte_swx_ctl.h.

  uint64_t n_pkts_learn_err
Number of packets with learning error.

Definition at line 686 of file rte_swx_ctl.h.

  uint64_t n_pkts_rearm
Number of packets with rearm event.

Definition at line 689 of file rte_swx_ctl.h.

  uint64_t n_pkts_forget
Number of packets with forget event.

Definition at line 692 of file rte_swx_ctl.h.

  uint64_t* n_pkts_action
Number of packets (with either lookup hit or miss) per pipeline action. Array of pipeline n_actions elements indexed by the pipeline-level action_id, therefore this array has the same size for all the tables within the same pipeline.

Definition at line 698 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.